2017-12-15 23:47 GMT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002591OpenFOAM[All Projects] Bugpublic2017-10-03 09:03
Reporterlavdwall 
Assigned Towill 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Versiondev 
Summary0002591: Error in YiEqn for multiphase flows
DescriptionI think there is an error in the YiEqn function in the file reactingEulerFoam/phaseSystems/phaseModel/MultiComponentPhaseModel/MultiComponentPhaseModel.C.
In my opinion, the reaction rate should be multiplied by alpha as well.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0008251

Juho (reporter)

I agree that the reaction rate should be multiplied by alpha.

~0008267

will (manager)

Thank you for the report. The same issue is also present in the Qdot term in the energy equation in AnisothermalPhaseModel.C

Resolved by commit 47f64c6ed7856f43657bf1d680b9cf73cc809659

~0008814

lavdwall (reporter)

Is it possible that in the same equation, the laplacian term should use nuEff() instead of nut()?

~0008816

will (manager)

Thanks for the report. Fixed by commit 8315fe01.
+Notes

-Issue History
Date Modified Username Field Change
2017-06-24 16:56 lavdwall New Issue
2017-06-25 17:55 henry View Status private => public
2017-06-26 08:00 Juho Note Added: 0008251
2017-06-26 17:17 will Assigned To => will
2017-06-26 17:17 will Status new => resolved
2017-06-26 17:17 will Resolution open => fixed
2017-06-26 17:17 will Note Added: 0008267
2017-10-03 05:52 lavdwall Status resolved => feedback
2017-10-03 05:52 lavdwall Resolution fixed => reopened
2017-10-03 05:52 lavdwall Note Added: 0008814
2017-10-03 09:03 will Status feedback => resolved
2017-10-03 09:03 will Resolution reopened => fixed
2017-10-03 09:03 will Fixed in Version => dev
2017-10-03 09:03 will Note Added: 0008816
+Issue History